### Method

# Json Parser load_from_stream_async

since: 0.12

#### Declaration [src]

    void
    json_parser_load_from_stream_async (
      JsonParser* parser,
      GInputStream* stream,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously reads the contents of a stream.

For more details, see `json_parser_load_from_stream()`, which is the synchronous version of this call.

When the operation is finished, `callback` will be called. You should then call `json_parser_load_from_stream_finish()` to get the result of the operation.

Available since: 0.12

#### Parameters

`stream`

  Type: `GInputStream`

  The input stream with the JSON data.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.